| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Data Structures | Enumerations
DAG and Image processing API

## Data Structures
struct | oyConnector_s
| A filter connection description structure. More...
struct | oyConnectorImaging_s
| Node connection descriptor. More...
struct | oyConversion_s
| A filter chain or graph to manipulate a image. More...
struct | oyFilterCore_s
| A basic filter to manipulate data. More...
struct | oyFilterGraph_s
| A FilterGraph object. More...
struct | oyFilterNode_s
| A FilterNode object. More...
struct | oyFilterNodes_s
| A FilterNode list. More...
struct | oyFilterPlug_s
| A filter connection structure. More...
struct | oyFilterPlugs_s
| A FilterPlugs list. More...
struct | oyFilterSocket_s
| A filter connection structure. More...
struct | oyPixelAccess_s
| Control pixel access order. More...

## Enumerations
enum | oyFILTER_REG_e { , oyFILTER_REG_TOP = 0x01, oyFILTER_REG_DOMAIN = 0x02, oyFILTER_REG_TYPE = 0x04, oyFILTER_REG_APPLICATION = 0x08, oyFILTER_REG_OPTION = 0x10 }

## Detailed Description

## Enumeration Type Documentation

enum oyFILTER_REG_e

see:http://lists.freedesktop.org/archives/openicc/2008q4/001724.html

Enumerator
oyFILTER_REG_TOP | e.g. "shared" for filters
oyFILTER_REG_DOMAIN | e.g. "oyranos.org"
oyFILTER_REG_TYPE | e.g. "imaging" filter group
oyFILTER_REG_APPLICATION | e.g. "scale" filter name
oyFILTER_REG_OPTION | e.g. "x" filter option